MFE Consensus Structures for Sequence Alignment(s)
Predicting Consensus Structures from Alignment(s) | Calculating Minimum Free Energy (MFE) Structures
Collaboration diagram for MFE Consensus Structures for Sequence Alignment(s):

## Functions

float | alifold (const char **strings, char *structure)
| Compute MFE and according consensus structure of an alignment of sequences. More...
float | circalifold (const char **strings, char *structure)
| Compute MFE and according structure of an alignment of sequences assuming the sequences are circular instead of linear. More...
void | free_alifold_arrays (void)
| Free the memory occupied by MFE alifold functions.

## Detailed Description

## Function Documentation

float alifold | ( | const char ** | strings,
|  | char * | structure
| ) |  |

Compute MFE and according consensus structure of an alignment of sequences.

This function predicts the consensus structure for the aligned 'sequences' and returns the minimum free energy; the mfe structure in bracket notation is returned in 'structure'.

Sufficient space must be allocated for 'structure' before calling alifold().

Parameters

  strings | A pointer to a NULL terminated array of character arrays
  structure | A pointer to a character array that may contain a constraining consensus structure (will be overwritten by a consensus structure that exhibits the MFE)

Returns
  The free energy score in kcal/mol

float circalifold | ( | const char ** | strings,
|  | char * | structure
| ) |  |

Compute MFE and according structure of an alignment of sequences assuming the sequences are circular instead of linear.

Parameters

  strings | A pointer to a NULL terminated array of character arrays
  structure | A pointer to a character array that may contain a constraining consensus structure (will be overwritten by a consensus structure that exhibits the MFE)

Returns
  The free energy score in kcal/mol